### Function

# GimpUi prop_expander_new

#### Declaration [src]

    GtkWidget*
    gimp_prop_expander_new (
      GObject* config,
      const gchar* property_name,
      const gchar* label
    )

#### Description [src]

Creates a `GtkExpander` controlled by the specified boolean property. A value of `TRUE` for the property corresponds to the expanded state for the widget. If `label` is `NULL`, the `property_name`‘s nick will be used as label of the returned widget.

Available since: | 2.4

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`property_name` | `const gchar*`
| Name of boolean property.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`label` | `const gchar*`
| Label for expander.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| A new `GtkExpander` widget.
| The caller of the function takes ownership of the data, and is responsible for freeing it.